Server error

There was a server error when trying to access /omia000576/

Error details


Traceback (most recent call last):
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/django/db/backends/utils.py", line 84, in _execute
return self.cursor.execute(sql, params)
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/django/db/backends/mysql/base.py", line 73, in execute
return self.cursor.execute(query, args)
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/MySQLdb/cursors.py", line 206, in execute
res = self._query(query)
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/MySQLdb/cursors.py", line 319, in _query
db.query(q)
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/MySQLdb/connections.py", line 259, in query
_mysql.connection.query(self, query)
MySQLdb._exceptions.OperationalError: (1213, 'Deadlock found when trying to get lock; try restarting transaction')

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/django/core/handlers/exception.py", line 47, in inner
response = get_response(request)
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/silk/middleware.py", line 70, in __call__
self.process_request(request)
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/silk/middleware.py", line 120, in process_request
request_model = RequestModelFactory(request).construct_request_model()
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/silk/model_factory.py", line 252, in construct_request_model
request_model = models.Request.objects.create(
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/django/db/models/manager.py", line 85, in manager_method
return getattr(self.get_queryset(), name)(*args, **kwargs)
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/django/db/models/query.py", line 453, in create
obj.save(force_insert=True, using=self.db)
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/silk/models.py", line 191, in save
Request.garbage_collect(force=False)
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/silk/models.py", line 169, in garbage_collect
cls.objects.filter(start_time__lte=time_cutoff).delete()
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/django/db/models/query.py", line 746, in delete
deleted, _rows_count = collector.delete()
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/django/db/models/deletion.py", line 410, in delete
count = qs._raw_delete(using=self.using)
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/django/db/models/query.py", line 762, in _raw_delete
cursor = query.get_compiler(using).execute_sql(CURSOR)
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/silk/sql.py", line 99, in execute_sql
return self._execute_sql(*args, **kwargs)
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/django/db/models/sql/compiler.py", line 1175, in execute_sql
cursor.execute(sql, params)
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/django/db/backends/utils.py", line 66, in execute
return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/django/db/backends/utils.py", line 75, in _execute_with_wrappers
return executor(sql, params, many, context)
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/django/db/backends/utils.py", line 79, in _execute
with self.db.wrap_database_errors:
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/django/db/utils.py", line 90, in __exit__
raise dj_exc_value.with_traceback(traceback) from exc_value
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/django/db/backends/utils.py", line 84, in _execute
return self.cursor.execute(sql, params)
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/django/db/backends/mysql/base.py", line 73, in execute
return self.cursor.execute(query, args)
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/MySQLdb/cursors.py", line 206, in execute
res = self._query(query)
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/MySQLdb/cursors.py", line 319, in _query
db.query(q)
File "/opt/miniconda3/envs/omia3/lib/python3.10/site-packages/MySQLdb/connections.py", line 259, in query
_mysql.connection.query(self, query)
django.db.utils.OperationalError: (1213, 'Deadlock found when trying to get lock; try restarting transaction')